package request

import "time"

type AdminPermission struct {
	ID          int64       `gorm:"primary_key;not_null;auto_increment;" json:"id"`
	Name        string      `json:"name"`
	Description string      `json:"description"`
	Roles       []AdminRole `gorm:"many2many:admin_role_permission;" json:"roles"`
	CreatedAt   time.Time   `json:"created_at"`
	CreatedBy   string      `json:"created_by"`
	UpdatedAt   *time.Time  `json:"updated_at"`
	Status      string      `json:"status"` // 可以是 "enabled", "disabled", "deleted" 等
	IsReserved  bool        `json:"is_reserved"`
}
