package repository

import (
	req "sghgogs.com/sghblog/authorization-service/domain/model/request"
	pb "sghgogs.com/sghblog/authorization-service/proto"
)

func (u *Repository) AdminLogin(username string) (req.AdminUser, error) {
	var user req.AdminUser
	return user, u.db.Where("username = ?", username).
		Preload("Roles", "status =?", pb.StatusEnum_ENABLED).
		Preload("Teams", "status =?", pb.StatusEnum_ENABLED).
		First(&user).Error
	// u.db.Joins("JOIN admin_user_role ON admin_user_role.admin_user_id = admin_user.id").
	// 	Joins("JOIN admin_role ON admin_role.id = admin_user_role.admin_role_id").
	// 	Where("admin_user.username = ?", username).
	// 	Preload("Teams").Preload("Roles").First(&user).Error
}

func (u *Repository) AdminProfile(userId int64) (req.AdminUser, error) {
	var user req.AdminUser
	return user, u.db.Where("id =? ", userId).Preload("Roles").Preload("Teams").First(&user).Error
}
